diff -Nru makedumpfile-1.6.1/debian/changelog makedumpfile-1.6.1/debian/changelog
--- makedumpfile-1.6.1/debian/changelog	2017-08-16 11:10:01.000000000 -0300
+++ makedumpfile-1.6.1/debian/changelog	2017-11-07 10:23:33.000000000 -0200
@@ -1,3 +1,13 @@
+makedumpfile (1:1.6.1-2ubuntu0.1) artful; urgency=medium
+
+  * KDUMP_CMDLINE_APPEND: add noirqdistrib to default command line. As it's
+    only used by ppc64el, it's not required to be conditionally added.
+    (LP: #1658733)
+  * Set crashkernel for ppc64el to load at 128M instead of 32M. That allows
+    larger kernels to boot. (LP: #1728115)
+
+ -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 07 Nov 2017 12:23:33 +0000
+
 makedumpfile (1:1.6.1-2) sid; urgency=medium
 
   * d/kernel-postinst-generate-initrd : Add scsi_dh_* modules if in
diff -Nru makedumpfile-1.6.1/debian/kdump-config makedumpfile-1.6.1/debian/kdump-config
--- makedumpfile-1.6.1/debian/kdump-config	2017-08-16 11:10:01.000000000 -0300
+++ makedumpfile-1.6.1/debian/kdump-config	2017-11-07 10:23:33.000000000 -0200
@@ -51,7 +51,7 @@
 NFS_TIMEO=${NFS_TIMEO:=600}
 NFS_RETRANS=${NFS_RETRANS:=3}
 MAKEDUMP_ARGS=${MAKEDUMP_ARGS:="-c -d 31"}
-KDUMP_CMDLINE_APPEND=${KDUMP_CMDLINE_APPEND:="irqpoll nr_cpus=1 nousb systemd.unit=kdump-tools.service ata_piix.prefer_ms_hyperv=0"}
+KDUMP_CMDLINE_APPEND=${KDUMP_CMDLINE_APPEND:="irqpoll noirqdistrib nr_cpus=1 nousb systemd.unit=kdump-tools.service ata_piix.prefer_ms_hyperv=0"}
 KDUMP_KERNEL_HOOK="/etc/kernel/postinst.d/kdump-tools"
 [ -d $KDUMP_COREDIR ] || mkdir -p $KDUMP_COREDIR ;
 
diff -Nru makedumpfile-1.6.1/debian/kdump-tools.5 makedumpfile-1.6.1/debian/kdump-tools.5
--- makedumpfile-1.6.1/debian/kdump-tools.5	2017-08-16 11:10:01.000000000 -0300
+++ makedumpfile-1.6.1/debian/kdump-tools.5	2017-11-07 10:23:33.000000000 -0200
@@ -125,7 +125,7 @@
 .B KDUMP_CMDLINE_APPEND
 Additional arguments to append to the command line for the kdump kernel.  
 If not set,  
-.RI \*(lq "irqpoll nr_cpus=1 nousb" \*(rq
+.RI \*(lq "irqpoll noirqdistrib nr_cpus=1 nousb" \*(rq
 will be used.
 .TP
 .B SSH
diff -Nru makedumpfile-1.6.1/debian/kdump-tools.default makedumpfile-1.6.1/debian/kdump-tools.default
--- makedumpfile-1.6.1/debian/kdump-tools.default	2017-08-16 11:10:01.000000000 -0300
+++ makedumpfile-1.6.1/debian/kdump-tools.default	2017-11-07 10:23:33.000000000 -0200
@@ -68,10 +68,10 @@
 #     Set this variable to override /proc/cmdline.
 # KDUMP_CMDLINE_APPEND - Additional arguments to append to the command line 
 #     for the kdump kernel.  If unset, it defaults to
-#     "irqpoll nr_cpus=1 nousb systemd.unit=kdump-tools.service ata_piix.prefer_ms_hyperv=0"
+#     "irqpoll noirqdistrib nr_cpus=1 nousb systemd.unit=kdump-tools.service ata_piix.prefer_ms_hyperv=0"
 #KDUMP_KEXEC_ARGS=""
 #KDUMP_CMDLINE=""
-#KDUMP_CMDLINE_APPEND="irqpoll nr_cpus=1 nousb systemd.unit=kdump-tools.service ata_piix.prefer_ms_hyperv=0"
+#KDUMP_CMDLINE_APPEND="irqpoll noirqdistrib nr_cpus=1 nousb systemd.unit=kdump-tools.service ata_piix.prefer_ms_hyperv=0"
 
 # ---------------------------------------------------------------------------
 # Architecture specific Overrides:
diff -Nru makedumpfile-1.6.1/debian/kdump-tools.grub.ppc64el makedumpfile-1.6.1/debian/kdump-tools.grub.ppc64el
--- makedumpfile-1.6.1/debian/kdump-tools.grub.ppc64el	2017-08-16 11:10:01.000000000 -0300
+++ makedumpfile-1.6.1/debian/kdump-tools.grub.ppc64el	2017-11-07 10:23:33.000000000 -0200
@@ -1 +1 @@
-GRUB_CMDLINE_LINUX_DEFAULT="$GRUB_CMDLINE_LINUX_DEFAULT crashkernel=2G-4G:320M,4G-32G:512M,32G-64G:1024M,64G-128G:2048M,128G-:4096M@32M"
+GRUB_CMDLINE_LINUX_DEFAULT="$GRUB_CMDLINE_LINUX_DEFAULT crashkernel=2G-4G:320M,4G-32G:512M,32G-64G:1024M,64G-128G:2048M,128G-:4096M@128M"
